import * as i0 from '@angular/core';
import { inject, ElementRef, Directive, HostListener, NgModule } from '@angular/core';

class NgxHighlightDirective {
    constructor() {
        this.el = inject(ElementRef);
    }
    onMouseEnter() {
        this.highlight('green');
    }
    onMouseLeave() {
        this.highlight('');
    }
    highlight(color = 'red') {
        this.el.nativeElement.style.backgroundColor = color;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.2.1", ngImport: i0, type: NgxHighlightDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.2.1", type: NgxHighlightDirective, selector: "[libNgxHighlight]", host: { listeners: { "mouseenter": "onMouseEnter()", "mouseleave": "onMouseLeave()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.2.1", ngImport: i0, type: NgxHighlightDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[libNgxHighlight]'
                }]
        }], propDecorators: { onMouseEnter: [{
                type: HostListener,
                args: ['mouseenter']
            }], onMouseLeave: [{
                type: HostListener,
                args: ['mouseleave']
            }] } });

class NgxHighlightModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.2.1", ngImport: i0, type: NgxHighlightModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.2.1", ngImport: i0, type: NgxHighlightModule, declarations: [NgxHighlightDirective], exports: [NgxHighlightDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.2.1", ngImport: i0, type: NgxHighlightModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.2.1", ngImport: i0, type: NgxHighlightModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        NgxHighlightDirective
                    ],
                    imports: [],
                    exports: [
                        NgxHighlightDirective
                    ]
                }]
        }] });

/*
 * Public API Surface of ngx-highlight
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxHighlightDirective, NgxHighlightModule };
//# sourceMappingURL=ngx-highlight.mjs.map
